Summary:   NetStreamer - an audio streaming server and transmitter programs
Name:      NetStreamer
Version:   0.17
Release:   1
URL:       http://flits102-126.flits.rug.nl/~rolf/
Source0:   ftp://flits102-126.flits.rug.nl/pub/NetStreamer/NetStreamer-%{version}-src.tgz
Source1:   netstreamer.init
Source2:   netstreamer.sysconfig
Copyright: GPL
Group:     Applications/Sound
Prereq:    chkconfig
BuildRoot: /tmp/%{name}-%{version}-root

%description
NetStreamer offers the possibility to distribute live Audio over network,
like Music from internal CD-ROMs or a radio signal on the line-input of a
PC.

%package client
Summary: NetStreamer client programs
Group:   Applications/Sound

%description client
This package includes the client programs needed to listen to NetStreamer
provided audio.

%prep
%setup -q
for I in *.tgz; do
  tar xvzf $I
done

%build
make DEBUG=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT/usr/bin
install -m755 NrEncoder $RPM_BUILD_ROOT/usr/bin
install -m755 NrRecFrontend $RPM_BUILD_ROOT/usr/bin
install -m755 NrReceiver $RPM_BUILD_ROOT/usr/bin
install -m755 NrServer $RPM_BUILD_ROOT/usr/bin
install -m755 NrTransmitter $RPM_BUILD_ROOT/usr/bin
install -m755 $RPM_SOURCE_DIR/netstreamer.init $RPM_BUILD_ROOT/etc/rc.d/init.d/netstreamer
install -m644 $RPM_SOURCE_DIR/netstreamer.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/netstreamer

strip $RPM_BUILD_ROOT/usr/bin/* ||

%pre
if [ -f /var/lock/subsys/netstreamer ]; then
   /etc/rc.d/init.d/netstreamer stop
fi

%post
/sbin/chkconfig --add netstreamer

%preun
if [ $1 = 0 ]; then
   if [ -f /etc/rc.d/init.d/netstreamer ]; then
      /etc/rc.d/init.d/netstreamer stop
   fi
   /sbin/chkconfig --del netstreamer
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc html COMMANDS README DemoEncoder DemoTransmitter
%config /etc/rc.d/init.d/netstreamer
%config /etc/sysconfig/netstreamer
/usr/bin/NrEncoder
/usr/bin/NrServer
/usr/bin/NrTransmitter

%files client
%defattr(-,root,root)
%doc DemoFrontend DemoReceiver
/usr/bin/NrRecFrontend
/usr/bin/NrReceiver

%changelog
* Mon Aug 24 1998 Arne Coucheron <arneco@online.no>
  [0.17-1]

* Wed Jul 15 1998 Arne Coucheron <arneco@online.no>
  [0.16-1]
- removed the DEBUG flag when compiling

* Sat Jun 06 1998 Arne Coucheron <arneco@online.no>
  [0.15-1]
- added -q parameter to %setup
- using install -d instead of mkdir
- using %defattr macro in filelist
- using %%{name} and %%{version} macros

* Fri May 15 1998 Arne Coucheron <arneco@online.no>
  [0.14-1]
- first release